# Transaction (deprecated)

{% hint style="danger" %} <mark style="color:red;">**This resource is deprecated.**</mark> <mark style="color:red;">You should consider using our GraphQL API with the</mark> <mark style="color:red;">`Conversion`</mark> <mark style="color:red;">or</mark> <mark style="color:red;">`Conversions`</mark> <mark style="color:red;">objects.</mark>
{% endhint %}

## **List your transactions**

`GET /transaction`

See below to discover used fields and see [reading section](/technologies/rest-api.md#read) to discover some output examples.

{% hint style="warning" %} <mark style="color:orange;">Transactions from a given day will be available on the next day</mark> <mark style="color:orange;">**after 5 am.**</mark>
{% endhint %}

### **Filters**

| Filter           | Description             | Values                                                                                                                     | Use                                                                                                |
| ---------------- | ----------------------- | -------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- |
| website\_id      | Website identifier      |                                                                                                                            | `?filters[website_id]=123`                                                                         |
| operator\_id     | Operator identifier     |                                                                                                                            | `?filters[operator_id]=123`                                                                        |
| conversation\_id | Conversation identifier | Conversation identifier. You can also use `!null` & `null` to filter all transactions associated or not to a conversation. | `?filters[conversation_id]=123` `?filters[conversation_id]=null` `?filters[conversation_id]=!null` |
| from             | Date from               | `YYYY-MM-DD` or `YYYY-MM-DD HH:MM:SS`                                                                                      | `?filters[from]=YYYY-MM-DD HH:MM:SS`                                                               |
| to               | Date to                 | `YYYY-MM-DD` or `YYYY-MM-DD HH:MM:SS`                                                                                      | `?filters[to]=YYYY-MM-DD HH:MM:SS`                                                                 |

{% hint style="warning" %}
The maximum duration allowed between `from` and `to` is 1 month.
{% endhint %}

## **Get a transaction details**

`GET /transaction/123`

See [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Fields**

| Field            | Description               | Values                     |
| ---------------- | ------------------------- | -------------------------- |
| id               | Tag identifier            | Integer                    |
| external\_id     | External identifier       | String                     |
| visitor\_uid     | Visitor unique identifier | String                     |
| visitor\_email   | Visitor email             | String                     |
| amount           | Amount                    | Double                     |
| created\_at      | Date of creation          | Date `YYYY-MM-DD HH:MM:SS` |
| website\_id      | Website identifier        | Integer                    |
| operator\_id     | Operator identifier       | Integer                    |
| conversation\_id | Conversation identifier   | Integer                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/technologies/rest-api/transaction-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
